/*
 * Copyright (C) 2002  Olaf Beck <olaf_sc@yahoo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#ifdef WIN32
#define uint64_t unsigned __int64
#define int64_t __int64
#define uint32_t unsigned  int
#define int32_t int;
#define uint16_t unsigned short
#define int16_t short
#define uint8_t unsigned char
#define int8_t char
#include <memory.h>
#include <io.h>
#include "getopt.h"

/* Need to ckeck if this is really needed */
#define read _read
#define write _write
#define open _open
#define lseek _lseek

#else  /* Unix */
#include <inttypes.h>
#include <unistd.h>
#endif



#if defined(__MINGW32__)
#include <string.h>
#endif


void usage();
